#language: ru

@mutual_settlements

Функционал: 008. mutual_settlements. Взаимозачет задолженности

Сценарий: 008.1. mutual_settlements. Взаимозачет задолженности Перекрестка на Ленту

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.008. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2ВзаимозачетЗадолженностей" без контроля ссылок
	И Я начинаю создавать взаимозачет задолженностей
	И в поле с именем 'Дата' я ввожу текст '29.03.2021  0:00:00'
	И из выпадающего списка с именем "Дебитор" я выбираю по строке 'Перекресток'
	И из выпадающего списка с именем "Кредитор" я выбираю по строке 'Лента'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И в поле с именем 'ДатаСписания' я ввожу текст '29.03.2021'
	И в поле с именем 'ДатаОприходования' я ввожу текст '29.03.2021'
	И в таблице "ДебиторскаяЗадолженность" я нажимаю на кнопку с именем 'ДебиторскаяЗадолженностьЗаполнитьПоОстаткам'
	И я перехожу к закладке с именем "СтраницаКредиторскаяЗадолженность"
	И я заполняю таблицу "КредиторскаяЗадолженность" данными
		| 'Оплатить до' | 'Основание'                        | 'Сумма'  | 'Валюта' |
		| '31.03.2021'  | 'Соглашение с Лентой с 01.01.2021' | '500,00' | 'RUB'    |
	И в таблице "КредиторскаяЗадолженность" я нажимаю кнопку выбора у реквизита с именем "КредиторскаяЗадолженностьОбъектРасчета"
	И Я выбираю "Соглашение с Лентой с 01.01.2021" с типом "Соглашение с контрагентом"
	Тогда открылось окно 'Взаимозачет задолженностей (создание) *'
	И в таблице "КредиторскаяЗадолженность" я завершаю редактирование строки
	И в поле с именем 'Комментарий' я ввожу текст 'ВзаимозачетЗадолженностиНаЛенту'
	* Проверка значений
		Тогда элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Дебитор" стал равен 'Перекресток'
		И элемент формы с именем "ДатаСписания" стал равен '29.03.2021'
		И элемент формы с именем "Кредитор" стал равен 'Лента'
		И элемент формы с именем "ДатаОприходования" стал равен '29.03.2021'
		И элемент формы с именем "Дата" стал равен '29.03.2021  0:00:00'
		И элемент формы с именем "Состояние" стал равен 'Создан'
		И таблица "ДебиторскаяЗадолженность" стала равной:
			| 'Основание'                              | 'Объект расчета'                         | 'Сумма'  | 'Валюта' |
			| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '500,00' | 'RUB'    |
		И таблица "КредиторскаяЗадолженность" стала равной:
			| 'Оплатить до' | 'Основание'                        | 'Объект расчета'                   | 'Сумма'  | 'Валюта' |
			| '31.03.2021'  | 'Соглашение с Лентой с 01.01.2021' | 'Соглашение с Лентой с 01.01.2021' | '500,00' | 'RUB'    |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ВзаимозачетЗадолженностиНаЛенту'
		И элемент формы с именем "СуммаДебиторская" стал равен '500,00'
		И элемент формы с именем "СуммаКредиторская" стал равен '500,00'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Взаимозачет задолженностей * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Взаимозачет задолженностей * от * [Создан]'
	И Я заканчиваю создавать взаимозачет задолженностей

Сценарий: 008.2. mutual_settlements. Проверка движений взаимозачета задолженности Перекрестка на Ленту

	И Я проверяю движения взаимозачета задолженностей "ВзаимозачетЗадолженностиНаЛенту"

Сценарий: 008.3. mutual_settlements. Проверка отборов для взаимозачета задолженности

	И В командном интерфейсе я выбираю 'Деньги' 'Взаимозачеты задолженностей'
	Тогда открылось окно 'Взаимозачеты задолженностей'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Дебитор'     | 'Состояние' | 'Организация'      | 'Подразделение' | 'Кредитор' | 'Ответственный' | 'Комментарий'                     |
		| '29.03.2021' | 'Перекресток' | 'Создан'    | 'Нижегородский МК' | ''              | 'Лента'    | 'Администратор' | 'ВзаимозачетЗадолженностиНаЛенту' |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "28.03.2021" по "28.03.2021"
		Тогда открылось окно 'Взаимозачеты задолженностей'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Взаимозачеты задолженностей'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по дебитору
		И из выпадающего списка с именем "_Отбор_Дебитор" я выбираю по строке 'Лента'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Дебитор"
	* Отбор по кредитору
		И из выпадающего списка с именем "_Отбор_Кредитор" я выбираю по строке 'Перекресток'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Кредитор"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Взаимозачеты задолженностей'

Сценарий: 008.4. mutual_settlements. Очистка отборов для взаимозачета задолженности

	И В командном интерфейсе я выбираю 'Деньги' 'Взаимозачеты задолженностей'
	Тогда открылось окно 'Взаимозачеты задолженностей'
	* Очистка отборов по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Взаимозачеты задолженностей'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Дебитор"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Кредитор"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Взаимозачеты задолженностей'